Package: groovy.util

## [Groovy] Class FileNameFinder

- groovy.util.FileNameFinder

- All Implemented Interfaces and Traits:
    IFileNameFinder

      class FileNameFinder
      extends Object

  Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to Ant's fileset pattern conventions.

  Authors:
    Dierk Koenig
    Paul King

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `getFileNames(String basedir, String pattern)`
    `` | `List<String>` | `getFileNames(String basedir, String pattern, String excludesPattern)`
    `` | `List<String>` | `getFileNames(Map args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### List<String> getFileNames(String basedir, String pattern)

    - #### List<String> getFileNames(String basedir, String pattern, String excludesPattern)

    - #### List<String> getFileNames(Map args)